Bug 1422982 - [RFE] add swap to rhevm-appliance
Summary: [RFE] add swap to rhevm-appliance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-appliance
Version: 4.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Ryan Barry
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks: 1456877
TreeView+ depends on / blocked
 
Reported: 2017-02-16 17:40 UTC by François Cami
Modified: 2019-05-16 13:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, the default memory allotment for the RHV-M Virtual Appliance was always large enough to include support for user additions. In this release, the RHV-M Virtual Appliance includes a swap partition that enables the memory to be increased when required.
Clone Of:
: 1456877 (view as bug list)
Environment:
Last Closed: 2018-05-15 19:00:03 UTC
oVirt Team: Node
grafuls: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1525 None None None 2018-05-15 19:02:30 UTC
oVirt gerrit 77269 master MERGED engine-appliance: enable swap 2017-05-25 16:52:02 UTC
oVirt gerrit 77370 ovirt-4.1-snapshot MERGED engine-appliance: enable swap 2017-05-25 17:45:03 UTC
oVirt gerrit 77374 ovirt-4.1-pre MERGED engine-appliance: enable swap 2017-05-25 17:44:39 UTC
oVirt gerrit 77377 ovirt-4.1 MERGED engine-appliance: enable swap 2017-05-25 17:44:07 UTC

Description François Cami 2017-02-16 17:40:08 UTC
Description of problem:
rhevm-appliance has no swap by default, this is contrary to 
https://access.redhat.com/solutions/15244
where a system with 16GiB of RAM should have at least 8GiB of swap.

Version-Release number of selected component (if applicable):
rhevm-appliance-20161214.0-1.el7ev

How reproducible:
Always

Steps to Reproduce:
1. Install RHV using the hosted engine (rhevm-appliance)
2. launch free -m on the appliance

Actual results:
No swap

Expected results:
8GiB+ swap

Additional info:
swap is required especially since additional tools must be installed on the manager (3rd party backup tools, etc) which might increase memory pressure.

Comment 2 Emma Heftman 2017-10-16 10:08:56 UTC
Hey Ryan
I am trying to understand whether this change has any impact on the documentation.

The Planning and Prerequisites Guide already mentions the swap partition, 

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/planning_and_prerequisites_guide/requirements#storage_requirements


Although this section does not specifically mention the self-hosted engine, the latter references this section in the introductory chapter of the guide:

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/self-hosted_engine_guide/#chap-Introduction

So, can you please clarify whether the table that appears in the guide was actually incorrect for the Self-hosted engine?

For 4.2, is the table actually correct as it is?

Comment 3 Ryan Barry 2017-10-16 13:09:34 UTC
The table is correct as-is

This RFE is about adding a swap partition to the engine virtual appliance. It increases the storage requirements for the hosted engine (on shared storage) to 58GB instead of 50GB.

Comment 4 Gonza 2017-11-20 16:21:20 UTC
Verified with:
rhvm-appliance-20171102.0-1

* disk resized to 58G (swap 8G)

Comment 9 errata-xmlrpc 2018-05-15 19:00:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1525

Comment 10 Franta Kust 2019-05-16 13:08:36 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.